Bug 1942677 (CVE-2021-3465)

Summary: CVE-2021-3465 p7zip: NULL pointer dereference in NCompress::CCopyCoder::Code function in CPP/7zip/Common/StreamObjects.cpp
Product: [Other] Security Response Reporter: Guilherme de Almeida Suckevicz <gsuckevi>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: matthias, perl-maint-list, sergio
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-04-12 12:34:31 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1943303    
Bug Blocks: 1942678, 1942696    

Description Guilherme de Almeida Suckevicz 2021-03-24 18:07:45 UTC
In p7zip-17.03, the function NCompress::CCopyCoder::Code in CPP/7zip/Common/StreamObjects.cpp will call outStream->Write where a memcpy uses a NULL pointer as destination address, leading to a crash.

Reference:
https://github.com/jinfeihan57/p7zip/issues/130

Comment 1 Guilherme de Almeida Suckevicz 2021-03-25 18:28:51 UTC
Created p7zip tracking bugs for this issue:

Affects: fedora-all [bug 1943303]

Comment 2 Riccardo Schirone 2021-04-12 12:34:31 UTC
This seems to be just a crash in a CLI tool, so I don't think it crosses any security boundary or that it has any security impact at all.

Comment 3 Riccardo Schirone 2021-04-12 15:01:16 UTC
Statement:

Red Hat Product Security does not consider this to be a vulnerability because it is just a crash in a command-line tool which can hardly impact Availability of any well-written service that uses 7z tool.

Comment 4 Sergio Basto 2021-04-12 15:23:51 UTC
also we don't use https://github.com/jinfeihan57 fork , at least yet .